libnvme(2)

NAME
enum nvme_ctrl_metadata_type - Controller Metadata Element Types

SYNOPSIS
enum nvme_ctrl_metadata_type {
NVME_CTRL_METADATA_OS_CTRL_NAME ,
NVME_CTRL_METADATA_OS_DRIVER_NAME ,
NVME_CTRL_METADATA_OS_DRIVER_VER ,
NVME_CTRL_METADATA_PRE_BOOT_CTRL_NAME ,
NVME_CTRL_METADATA_PRE_BOOT_DRIVER_NAME ,
NVME_CTRL_METADATA_PRE_BOOT_DRIVER_VER ,
NVME_CTRL_METADATA_SYS_PROC_MODEL ,
NVME_CTRL_METADATA_CHIPSET_DRV_NAME ,
NVME_CTRL_METADATA_CHIPSET_DRV_VERSION ,
NVME_CTRL_METADATA_OS_NAME_AND_BUILD ,
NVME_CTRL_METADATA_SYS_PROD_NAME ,
NVME_CTRL_METADATA_FIRMWARE_VERSION ,
NVME_CTRL_METADATA_OS_DRIVER_FILENAME ,
NVME_CTRL_METADATA_DISPLAY_DRV_NAME ,
NVME_CTRL_METADATA_DISPLAY_DRV_VERSION ,
NVME_CTRL_METADATA_HOST_DET_FAIL_REC

};

Constants

NVME_CTRL_METADATA_OS_CTRL_NAME
    Name of the controller in the operating system.

NVME_CTRL_METADATA_OS_DRIVER_NAME
    Name of the driver in the operating system.

NVME_CTRL_METADATA_OS_DRIVER_VER
    Version of the driver in the operating system.

NVME_CTRL_METADATA_PRE_BOOT_CTRL_NAME
    Name of the controller in the pre-boot environment.

NVME_CTRL_METADATA_PRE_BOOT_DRIVER_NAME
    Name of the driver in the pre-boot environment.

NVME_CTRL_METADATA_PRE_BOOT_DRIVER_VER
    Version of the driver in the pre-boot environment.

NVME_CTRL_METADATA_SYS_PROC_MODEL
    Model of the processor.

NVME_CTRL_METADATA_CHIPSET_DRV_NAME
    Chipset driver name.

NVME_CTRL_METADATA_CHIPSET_DRV_VERSION
    Chipset driver version.

NVME_CTRL_METADATA_OS_NAME_AND_BUILD
    Operating system name and build.

NVME_CTRL_METADATA_SYS_PROD_NAME
    System product name.

NVME_CTRL_METADATA_FIRMWARE_VERSION
    Host firmware (e.g UEFI) version.

NVME_CTRL_METADATA_OS_DRIVER_FILENAME
    Operating system driver filename.

NVME_CTRL_METADATA_DISPLAY_DRV_NAME
    Display driver name.

NVME_CTRL_METADATA_DISPLAY_DRV_VERSION
    Display driver version.

NVME_CTRL_METADATA_HOST_DET_FAIL_REC
    Failure record.